Bug 889345 - Add support for RHEL-5.9
Add support for RHEL-5.9
Status: VERIFIED
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: oz (Show other bugs)
1.1.0
Unspecified Unspecified
high Severity medium
: beta1
: ---
Assigned To: Ian McLeod
Rehana
: Triaged, ZStream
Depends On: 881401 903395
Blocks: 903646
  Show dependency treegraph
 
Reported: 2012-12-20 16:08 EST by James Laska
Modified: 2015-01-07 19:18 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 881401
: 903646 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
0001-Add-support-for-building-RHEL-5-U9-images.patch (834 bytes, patch)
2012-12-20 16:08 EST, James Laska
no flags Details | Diff

  None (edit)
Description James Laska 2012-12-20 16:08:20 EST
Created attachment 666964 [details]
0001-Add-support-for-building-RHEL-5-U9-images.patch

Description of problem:

Add support for building RHEL-5.9 instances to oz

Additional info:

 * See attached "patch"
Comment 1 Ian McLeod 2013-01-23 16:10:37 EST
This is brewed as oz-0.8.0-7.
Comment 3 Dave Johnson 2013-01-29 12:30:38 EST
FYI, we discovered a issue today where instead of U9 for the os version, the user must specify 9.  Spoke with ian and he is working on a respin.

Current versions are at imgfac_1.0.2_3_gadcc5de-1 and oz-0.8.0-8
Comment 4 James Laska 2013-01-29 14:04:02 EST
(In reply to comment #3)
> FYI, we discovered a issue today where instead of U9 for the os version, the
> user must specify 9.  Spoke with ian and he is working on a respin.
> 
> Current versions are at imgfac_1.0.2_3_gadcc5de-1 and oz-0.8.0-8

On a system with the following components installed ...

 * imagefactory-1.0.2_3_gadcc5de-1.el6cf.noarch
 * oz-0.8.0-8.el6cf.noarch

I'm seeing that oz expects the <version>U9</version> field.  

> def get_class(tdl, config, auto, output_disk=None):
>     """
>     Factory method for RHEL-5 installs.
>     """
>     if tdl.update in ["GOLD", "U1", "U2", "U3"]:
>         return RHEL5Guest(tdl, config, auto, "rtl8139", None, output_disk)
>     if tdl.update in ["U4", "U5", "U6", "U7", "U8", "U9"]:
>         return RHEL5Guest(tdl, config, auto, "virtio", "virtio", output_disk)

This appears expected to me.  Is the problem elsewhere?
Comment 5 Dave Johnson 2013-02-19 10:24:45 EST
The problem was actually only regarding EC2 images, it existed in the ami id mapping config file specifying 9 instead of U9.  
      /etc/imagefactory/jeos_images/ec2_rhel_jeos.conf

good 2 go with

[root@cloud-qe-14 ~]# rpm -qa | grep imagefac
imagefactory-jeosconf-ec2-fedora-1.0.3-1.el6cf.noarch
imagefactory-jeosconf-ec2-rhel-1.0.3-1.el6cf.noarch
imagefactory-1.0.3-1.el6cf.noarch

Note You need to log in before you can comment on or make changes to this bug.